# Get card info with encrypted PAN V3 [beta] Get card information - card ID, account ID, customer ID - using a card's encrypted PAN (Primary Account Number). To set up encryption for this endpoint, contact your Pismo representative. Alternatively, to send the PAN as clear text, call the [Get card info with PAN](ref:post-v1-card-search-by-pan) endpoint. **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "PCI", "description": "Card PCI/sensitive information endpoints" } ], "components": { "schemas": { "CustomerID": { "type": "integer", "description": "Pismo customer ID", "example": 765476676 }, "InitializationVector": { "type": "string", "description": "Array initialization vector, used as a initial state for the AES algorithm. This field is used on the requester side to encrypt the PAN. It must be an random array of 16 bytes of length encoded as base64\n", "example": "ZZ3cUcotvQeaGciyLZb1wA==" }, "KeyID": { "type": "string", "description": "Key ID used for encryption. To obtain the `key_id`, the sender will generate a symmetric key (AES), encrypt this key with an asymmetric key (public_key) and send it via secure email to the security team. \n\nTo obtain the asymmetric key, you must open a Configuration item for the Cards squad. After the Pismo security team registers the symmetric key, the `key_id` is shared with the issuer.\n", "example": "5c09cda4-8153-11ed-a1eb-0242ac120002" }, "PANencrypted": { "type": "string", "description": "Primary Account Number (PAN) encrypted with AES/GCM/NoPadding algorithm. The ciphertext (PAN encryption result) is **REQUIRED** to be base64 encoded.\n", "example": "/5yGTkBSoqGY+Ug5yJuHUSGk54VRMNoY0G5Ni2HSa64=" }, "SearchCardResponse": { "type": "object", "description": "Get card information with PAN response object", "properties": { "card_id": { "type": "integer", "description": "Card ID" }, "account_id": { "type": "number", "description": "Account ID", "example": 838933 }, "customer_id": { "$ref": "#/components/schemas/CustomerID" } }, "example": { "account_id": 102378693, "card_id": 6743052, "customer_id": 4596098 } }, "SearchCardV2RequestBody2": { "type": "object", "description": "Search for card with encrypted PAN object", "properties": { "pan": { "$ref": "#/components/schemas/PANencrypted" }, "iv": { "$ref": "#/components/schemas/InitializationVector" }, "key_id": { "$ref": "#/components/schemas/KeyID" } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "404NotFound": { "description": "The specified resource was not found" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/v3/pcicards/cards/search": { "post": { "summary": "Get card info with encrypted PAN V3 [beta]", "description": "Get card information - card ID, account ID, customer ID - using a card's encrypted PAN (Primary Account Number). To set up encryption for this endpoint, contact your Pismo representative. Alternatively, to send the PAN as clear text, call the [Get card info with PAN](https://developers.pismo.io/pismo-docs/reference/post-v1-card-search-by-pan) endpoint.\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. \n", "operationId": "post-v2-card-search-by-pan-two", "tags": [ "PCI" ], "requestBody": { "description": "Request body", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SearchCardV2RequestBody2" } } } }, "responses": { "200": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SearchCardResponse" } } }, "description": "Response for find card success" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```